package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[任务时刻秒钟]
 */
@Component("ionicdemo_TSSecondCodeList")
public class TSSecondCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_TSSecond");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("0");
		item0.setId("0");
		item0.setText("0秒");
		item0.setLabel("0秒");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("0",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("1");
		item1.setId("1");
		item1.setText("1秒");
		item1.setLabel("1秒");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("1",item1);
		CodeItem item2 = new CodeItem();
		item2.setValue("2");
		item2.setId("2");
		item2.setText("2秒");
		item2.setLabel("2秒");
		codeItemList.add(item2);
		codeList.getCodeItemModelMap().put("2",item2);
		CodeItem item3 = new CodeItem();
		item3.setValue("3");
		item3.setId("3");
		item3.setText("3秒");
		item3.setLabel("3秒");
		codeItemList.add(item3);
		codeList.getCodeItemModelMap().put("3",item3);
		CodeItem item4 = new CodeItem();
		item4.setValue("4");
		item4.setId("4");
		item4.setText("4秒");
		item4.setLabel("4秒");
		codeItemList.add(item4);
		codeList.getCodeItemModelMap().put("4",item4);
		CodeItem item5 = new CodeItem();
		item5.setValue("5");
		item5.setId("5");
		item5.setText("5秒");
		item5.setLabel("5秒");
		codeItemList.add(item5);
		codeList.getCodeItemModelMap().put("5",item5);
		CodeItem item6 = new CodeItem();
		item6.setValue("6");
		item6.setId("6");
		item6.setText("6秒");
		item6.setLabel("6秒");
		codeItemList.add(item6);
		codeList.getCodeItemModelMap().put("6",item6);
		CodeItem item7 = new CodeItem();
		item7.setValue("7");
		item7.setId("7");
		item7.setText("7秒");
		item7.setLabel("7秒");
		codeItemList.add(item7);
		codeList.getCodeItemModelMap().put("7",item7);
		CodeItem item8 = new CodeItem();
		item8.setValue("8");
		item8.setId("8");
		item8.setText("8秒");
		item8.setLabel("8秒");
		codeItemList.add(item8);
		codeList.getCodeItemModelMap().put("8",item8);
		CodeItem item9 = new CodeItem();
		item9.setValue("9");
		item9.setId("9");
		item9.setText("9秒");
		item9.setLabel("9秒");
		codeItemList.add(item9);
		codeList.getCodeItemModelMap().put("9",item9);
		CodeItem item10 = new CodeItem();
		item10.setValue("10");
		item10.setId("10");
		item10.setText("10秒");
		item10.setLabel("10秒");
		codeItemList.add(item10);
		codeList.getCodeItemModelMap().put("10",item10);
		CodeItem item11 = new CodeItem();
		item11.setValue("11");
		item11.setId("11");
		item11.setText("11秒");
		item11.setLabel("11秒");
		codeItemList.add(item11);
		codeList.getCodeItemModelMap().put("11",item11);
		CodeItem item12 = new CodeItem();
		item12.setValue("12");
		item12.setId("12");
		item12.setText("12秒");
		item12.setLabel("12秒");
		codeItemList.add(item12);
		codeList.getCodeItemModelMap().put("12",item12);
		CodeItem item13 = new CodeItem();
		item13.setValue("13");
		item13.setId("13");
		item13.setText("13秒");
		item13.setLabel("13秒");
		codeItemList.add(item13);
		codeList.getCodeItemModelMap().put("13",item13);
		CodeItem item14 = new CodeItem();
		item14.setValue("14");
		item14.setId("14");
		item14.setText("14秒");
		item14.setLabel("14秒");
		codeItemList.add(item14);
		codeList.getCodeItemModelMap().put("14",item14);
		CodeItem item15 = new CodeItem();
		item15.setValue("15");
		item15.setId("15");
		item15.setText("15秒");
		item15.setLabel("15秒");
		codeItemList.add(item15);
		codeList.getCodeItemModelMap().put("15",item15);
		CodeItem item16 = new CodeItem();
		item16.setValue("16");
		item16.setId("16");
		item16.setText("16秒");
		item16.setLabel("16秒");
		codeItemList.add(item16);
		codeList.getCodeItemModelMap().put("16",item16);
		CodeItem item17 = new CodeItem();
		item17.setValue("17");
		item17.setId("17");
		item17.setText("17秒");
		item17.setLabel("17秒");
		codeItemList.add(item17);
		codeList.getCodeItemModelMap().put("17",item17);
		CodeItem item18 = new CodeItem();
		item18.setValue("18");
		item18.setId("18");
		item18.setText("18秒");
		item18.setLabel("18秒");
		codeItemList.add(item18);
		codeList.getCodeItemModelMap().put("18",item18);
		CodeItem item19 = new CodeItem();
		item19.setValue("19");
		item19.setId("19");
		item19.setText("19秒");
		item19.setLabel("19秒");
		codeItemList.add(item19);
		codeList.getCodeItemModelMap().put("19",item19);
		CodeItem item20 = new CodeItem();
		item20.setValue("20");
		item20.setId("20");
		item20.setText("20秒");
		item20.setLabel("20秒");
		codeItemList.add(item20);
		codeList.getCodeItemModelMap().put("20",item20);
		CodeItem item21 = new CodeItem();
		item21.setValue("21");
		item21.setId("21");
		item21.setText("21秒");
		item21.setLabel("21秒");
		codeItemList.add(item21);
		codeList.getCodeItemModelMap().put("21",item21);
		CodeItem item22 = new CodeItem();
		item22.setValue("22");
		item22.setId("22");
		item22.setText("22秒");
		item22.setLabel("22秒");
		codeItemList.add(item22);
		codeList.getCodeItemModelMap().put("22",item22);
		CodeItem item23 = new CodeItem();
		item23.setValue("23");
		item23.setId("23");
		item23.setText("23秒");
		item23.setLabel("23秒");
		codeItemList.add(item23);
		codeList.getCodeItemModelMap().put("23",item23);
		CodeItem item24 = new CodeItem();
		item24.setValue("24");
		item24.setId("24");
		item24.setText("24秒");
		item24.setLabel("24秒");
		codeItemList.add(item24);
		codeList.getCodeItemModelMap().put("24",item24);
		CodeItem item25 = new CodeItem();
		item25.setValue("25");
		item25.setId("25");
		item25.setText("25秒");
		item25.setLabel("25秒");
		codeItemList.add(item25);
		codeList.getCodeItemModelMap().put("25",item25);
		CodeItem item26 = new CodeItem();
		item26.setValue("26");
		item26.setId("26");
		item26.setText("26秒");
		item26.setLabel("26秒");
		codeItemList.add(item26);
		codeList.getCodeItemModelMap().put("26",item26);
		CodeItem item27 = new CodeItem();
		item27.setValue("27");
		item27.setId("27");
		item27.setText("27秒");
		item27.setLabel("27秒");
		codeItemList.add(item27);
		codeList.getCodeItemModelMap().put("27",item27);
		CodeItem item28 = new CodeItem();
		item28.setValue("28");
		item28.setId("28");
		item28.setText("28秒");
		item28.setLabel("28秒");
		codeItemList.add(item28);
		codeList.getCodeItemModelMap().put("28",item28);
		CodeItem item29 = new CodeItem();
		item29.setValue("29");
		item29.setId("29");
		item29.setText("29秒");
		item29.setLabel("29秒");
		codeItemList.add(item29);
		codeList.getCodeItemModelMap().put("29",item29);
		CodeItem item30 = new CodeItem();
		item30.setValue("30");
		item30.setId("30");
		item30.setText("30秒");
		item30.setLabel("30秒");
		codeItemList.add(item30);
		codeList.getCodeItemModelMap().put("30",item30);
		CodeItem item31 = new CodeItem();
		item31.setValue("31");
		item31.setId("31");
		item31.setText("31秒");
		item31.setLabel("31秒");
		codeItemList.add(item31);
		codeList.getCodeItemModelMap().put("31",item31);
		CodeItem item32 = new CodeItem();
		item32.setValue("32");
		item32.setId("32");
		item32.setText("32秒");
		item32.setLabel("32秒");
		codeItemList.add(item32);
		codeList.getCodeItemModelMap().put("32",item32);
		CodeItem item33 = new CodeItem();
		item33.setValue("33");
		item33.setId("33");
		item33.setText("33秒");
		item33.setLabel("33秒");
		codeItemList.add(item33);
		codeList.getCodeItemModelMap().put("33",item33);
		CodeItem item34 = new CodeItem();
		item34.setValue("34");
		item34.setId("34");
		item34.setText("34秒");
		item34.setLabel("34秒");
		codeItemList.add(item34);
		codeList.getCodeItemModelMap().put("34",item34);
		CodeItem item35 = new CodeItem();
		item35.setValue("35");
		item35.setId("35");
		item35.setText("35秒");
		item35.setLabel("35秒");
		codeItemList.add(item35);
		codeList.getCodeItemModelMap().put("35",item35);
		CodeItem item36 = new CodeItem();
		item36.setValue("36");
		item36.setId("36");
		item36.setText("36秒");
		item36.setLabel("36秒");
		codeItemList.add(item36);
		codeList.getCodeItemModelMap().put("36",item36);
		CodeItem item37 = new CodeItem();
		item37.setValue("37");
		item37.setId("37");
		item37.setText("37秒");
		item37.setLabel("37秒");
		codeItemList.add(item37);
		codeList.getCodeItemModelMap().put("37",item37);
		CodeItem item38 = new CodeItem();
		item38.setValue("38");
		item38.setId("38");
		item38.setText("38秒");
		item38.setLabel("38秒");
		codeItemList.add(item38);
		codeList.getCodeItemModelMap().put("38",item38);
		CodeItem item39 = new CodeItem();
		item39.setValue("39");
		item39.setId("39");
		item39.setText("39秒");
		item39.setLabel("39秒");
		codeItemList.add(item39);
		codeList.getCodeItemModelMap().put("39",item39);
		CodeItem item40 = new CodeItem();
		item40.setValue("40");
		item40.setId("40");
		item40.setText("40秒");
		item40.setLabel("40秒");
		codeItemList.add(item40);
		codeList.getCodeItemModelMap().put("40",item40);
		CodeItem item41 = new CodeItem();
		item41.setValue("41");
		item41.setId("41");
		item41.setText("41秒");
		item41.setLabel("41秒");
		codeItemList.add(item41);
		codeList.getCodeItemModelMap().put("41",item41);
		CodeItem item42 = new CodeItem();
		item42.setValue("42");
		item42.setId("42");
		item42.setText("42秒");
		item42.setLabel("42秒");
		codeItemList.add(item42);
		codeList.getCodeItemModelMap().put("42",item42);
		CodeItem item43 = new CodeItem();
		item43.setValue("43");
		item43.setId("43");
		item43.setText("43秒");
		item43.setLabel("43秒");
		codeItemList.add(item43);
		codeList.getCodeItemModelMap().put("43",item43);
		CodeItem item44 = new CodeItem();
		item44.setValue("44");
		item44.setId("44");
		item44.setText("44秒");
		item44.setLabel("44秒");
		codeItemList.add(item44);
		codeList.getCodeItemModelMap().put("44",item44);
		CodeItem item45 = new CodeItem();
		item45.setValue("45");
		item45.setId("45");
		item45.setText("45秒");
		item45.setLabel("45秒");
		codeItemList.add(item45);
		codeList.getCodeItemModelMap().put("45",item45);
		CodeItem item46 = new CodeItem();
		item46.setValue("46");
		item46.setId("46");
		item46.setText("46秒");
		item46.setLabel("46秒");
		codeItemList.add(item46);
		codeList.getCodeItemModelMap().put("46",item46);
		CodeItem item47 = new CodeItem();
		item47.setValue("47");
		item47.setId("47");
		item47.setText("47秒");
		item47.setLabel("47秒");
		codeItemList.add(item47);
		codeList.getCodeItemModelMap().put("47",item47);
		CodeItem item48 = new CodeItem();
		item48.setValue("48");
		item48.setId("48");
		item48.setText("48秒");
		item48.setLabel("48秒");
		codeItemList.add(item48);
		codeList.getCodeItemModelMap().put("48",item48);
		CodeItem item49 = new CodeItem();
		item49.setValue("49");
		item49.setId("49");
		item49.setText("49秒");
		item49.setLabel("49秒");
		codeItemList.add(item49);
		codeList.getCodeItemModelMap().put("49",item49);
		CodeItem item50 = new CodeItem();
		item50.setValue("50");
		item50.setId("50");
		item50.setText("50秒");
		item50.setLabel("50秒");
		codeItemList.add(item50);
		codeList.getCodeItemModelMap().put("50",item50);
		CodeItem item51 = new CodeItem();
		item51.setValue("51");
		item51.setId("51");
		item51.setText("51秒");
		item51.setLabel("51秒");
		codeItemList.add(item51);
		codeList.getCodeItemModelMap().put("51",item51);
		CodeItem item52 = new CodeItem();
		item52.setValue("52");
		item52.setId("52");
		item52.setText("52秒");
		item52.setLabel("52秒");
		codeItemList.add(item52);
		codeList.getCodeItemModelMap().put("52",item52);
		CodeItem item53 = new CodeItem();
		item53.setValue("53");
		item53.setId("53");
		item53.setText("53秒");
		item53.setLabel("53秒");
		codeItemList.add(item53);
		codeList.getCodeItemModelMap().put("53",item53);
		CodeItem item54 = new CodeItem();
		item54.setValue("54");
		item54.setId("54");
		item54.setText("54秒");
		item54.setLabel("54秒");
		codeItemList.add(item54);
		codeList.getCodeItemModelMap().put("54",item54);
		CodeItem item55 = new CodeItem();
		item55.setValue("55");
		item55.setId("55");
		item55.setText("55秒");
		item55.setLabel("55秒");
		codeItemList.add(item55);
		codeList.getCodeItemModelMap().put("55",item55);
		CodeItem item56 = new CodeItem();
		item56.setValue("56");
		item56.setId("56");
		item56.setText("56秒");
		item56.setLabel("56秒");
		codeItemList.add(item56);
		codeList.getCodeItemModelMap().put("56",item56);
		CodeItem item57 = new CodeItem();
		item57.setValue("57");
		item57.setId("57");
		item57.setText("57秒");
		item57.setLabel("57秒");
		codeItemList.add(item57);
		codeList.getCodeItemModelMap().put("57",item57);
		CodeItem item58 = new CodeItem();
		item58.setValue("58");
		item58.setId("58");
		item58.setText("58秒");
		item58.setLabel("58秒");
		codeItemList.add(item58);
		codeList.getCodeItemModelMap().put("58",item58);
		CodeItem item59 = new CodeItem();
		item59.setValue("59");
		item59.setId("59");
		item59.setText("59秒");
		item59.setLabel("59秒");
		codeItemList.add(item59);
		codeList.getCodeItemModelMap().put("59",item59);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}